Bug 1465187 - bind-dyndb-ldap needs rebuild against bind 9.11.1
bind-dyndb-ldap needs rebuild against bind 9.11.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind-dyndb-ldap (Show other bugs)
26
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Tomas Krizek
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F26FinalBlocker
  Show dependency treegraph
 
Reported: 2017-06-26 20:00 EDT by Stephen Gallagher
Modified: 2017-07-10 07:44 EDT (History)
8 users (show)

See Also:
Fixed In Version: bind-dyndb-ldap-11.1-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 23:52:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed bump and rebuild patch for bind-dyndb-ldap (2.29 KB, patch)
2017-06-26 20:00 EDT, Stephen Gallagher
no flags Details | Diff

  None (edit)
Description Stephen Gallagher 2017-06-26 20:00:05 EDT
Created attachment 1292076 [details]
Proposed bump and rebuild patch for bind-dyndb-ldap

Description of problem:
BIND was updated to version 9.11.1 in Fedora 26, which included a soname bump of libdns from libdns.so.166 to libdns.so.168. As a result, upgrading bind will conflict with bind-dyndb-ldap and cause failures. Attempts to update with `dnf update --allowerasing --best` will cause bind-dyndb-ldap to be removed, potentially breaking a FreeIPA installation.

Version-Release number of selected component (if applicable):
bind-dyndb-ldap-11.1-2.fc26

How reproducible:
Every time

Steps to Reproduce:
1. Install FreeIPA with DNS support which includes bind-dyndb-ldap
2. Update bind to bind-9.11.1-1.P1.fc26

Actual results:
DNF fails (or, in the case of `--allowerasing --best`, removes bind-dyndb-ldap, breaking FreeIPA)

Expected results:
Packages are updated correctly and the system continues to function as expected.

Additional info:
Proposing as a Final Blocker by the final release criterion: "All functional requirements for all Featured Server Roles must be met, without any workarounds being necessary."

The functional requirements[1] for the domain controller role includes "The Domain Controller must be capable of serving DNS host records on port 53"

[1] https://fedoraproject.org/wiki/Domain_controller_role_requirements
Comment 1 Fedora Update System 2017-06-27 07:33:14 EDT
bind-dyndb-ldap-11.1-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-32abf267d6
Comment 2 Fedora Update System 2017-06-27 16:26:59 EDT
bind-dyndb-ldap-11.1-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-32abf267d6
Comment 3 Adam Williamson 2017-06-27 19:27:59 EDT
In fact this is an even more straightforward blocker: deployment of the domain controller (FreeIPA server) role fails with the updates-testing repository disabled (which is how the final release would ship, of course):

https://openqa.fedoraproject.org/tests/113830

+1 blocker. I've asked the person who submitted the BIND update to be mindful of the updates policy rules about interdependent packages in future.
Comment 4 Kevin Fenzi 2017-06-27 19:30:04 EDT
+1 blocker
Comment 5 Adam Williamson 2017-06-27 19:40:24 EDT
That's +3, which seems enough as this one is a very clear and pretty undebatable blocker.
Comment 6 Fedora Update System 2017-06-27 23:52:23 EDT
bind-dyndb-ldap-11.1-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.